config:
  install-commands:
  - ar x cuda-repo-l4t-10-0-local-10.0.326_1.0-1_arm64.deb
  - tar Jxf data.tar.xz $(for f in %{files}; do echo "./var/cuda-repo-10-0-local-10.0.326/${f}"; done)

  - |
    for package in %{files}; do
      mkdir -p "${package%%_*}"
      (cd "${package%%_*}"; ar x "../var/cuda-repo-10-0-local-10.0.326/${package}")
      (cd "%{install-root}"; tar Jxf "%{build-root}/${package%%_*}/data.tar.xz")
    done

sources:
- kind: local
  path: sdkm_downloads/cuda-repo-l4t-10-0-local-10.0.326_1.0-1_arm64.deb

variables:
  strip-binaries: "true"
